1. Bill Payments
Almara Pay Documentation
  • Introduction
  • Definitions
    • Data Types
    • Error Codes
    • MCCMNC Codes
  • Authorization
    • Overview
    • Token Request
      POST
    • Find Transaction Routes
      GET
    • Health Check
      GET
  • Payouts
    • Overview
    • Payment Order Request Information
    • Mobile Money Requests
      • Overview
      • Mobile Transfers- Safaricom (M-Pesa)
      • Mobile Transfers - Airtel Money
    • Payment Order Requests - Business Transfers
      POST
    • Payment Order Requests - Bank Transfers
      POST
    • Find Payment Order By OriginatorConversationId
      GET
    • Reject Order By OriginatorConversationId
      POST
  • Pay-Ins
    • Payment Links
      • Overview
      • Create Payment Link
      • Find Payment Links By Id
      • Update Payment Link
    • Express Deposits
      • Overview
      • Express Deposit Request
      • Find Express Deposit By OriginatorConversationId
    • C2B IPN (Callback)
      • C2B IPN Overview
  • Card Payments
    • Overview
    • Checkout Order Request
    • Query Checkout Request
    • Checkout Callback Request
  • Account Validation
    • Overview
    • Account Number Validation Request
    • Find KYC Status by SystemTraceAuditNumber
    • Account Validation
    • Find Account Validation Status by SystemTraceAuditNumber
  • Platform Services
    • Airtime Purchase
      • Overview
      • Airtime Purchase
      • Find Airtime Purchases By OriginatorConversationId
    • Customer Accounts
      • Balance Check
      • Find Charges By TransactionTypeId
    • Bill Payments
      • Overview
      • Bill Request Validation
        POST
      • Bill Request Payment
        POST
      • Find Bill Services
        GET
      • Find Bill Number By Service Id and Account Number
        GET
      • Find Bill Request By Originator Converstion Id
        GET
      • Bill Number
        POST
  1. Bill Payments

Find Bill Number By Service Id and Account Number

GET
/v1/bill-numbers
This is a GET request that returns the saved billing information using the ServiceId and AccountNumber

ServiceId: This is a number that represents the different services available. Check the table Services for the list of service Ids
, or use the Find Bill Services API to get list of services
AccountNumber: Account number reference for pay bill transactions.

Sample success response:#

{
    "serviceId": "860a26ce-4828-f111-bc5a-0e7d952d79b8",
    "customerName": "EXECUTIVE CONCEPTS",
    "accountNumber": "104963",
    "phoneNumber": "254718621991",
    "enabled": true,
    "verified": true,
    "dueDate": "2021-10-18 00:00:00",
    "lastKnownBalance": 2697.00,
    "remindMeDueDate": true,
    "remarks": "Test Benson's DSTV",
    "serviceType": "KPLC POSTPAID",
    "serviceCategory": "ELECTRICITY"
}

Request

Authorization
Query Params

Responses

🟢200Success
application/json
Body

Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request GET '/v1/bill-numbers?ServiceId=820a26ce-4828-f111-bc5a-0e7d952d79b7&AccountNumber=104963'
Response Response Example
{}
Modified at 2026-04-30 05:53:25
Previous
Find Bill Services
Next
Find Bill Request By Originator Converstion Id
Built with